Foxit PDF SDK

Instance Methods | Properties | List of all members
FSPrintDeviceSettingData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - initWithDevice_width:device_height:device_margin:orientation:resolution:copies:
| Constructor, with parameters. More...
(id) | - initWithSettings:
| Constructor, with another print device setting data object. More...
(void) | - set:device_height:device_margin:orientation:resolution:copies:
| Set value. More...

## Properties
unsigned int | copies
| The number of copies to be printed. This parameter only has an effect on PostScrip files.
int | device_height
| The height of the device in pixels.
FSRectF * | device_margin
| The page margins of the device. More...
int | device_width
| The width of the device in pixels.
FSPrintDeviceSettingDataOrientationFlag | orientation
| Orientation flag. Please refer to values starting from and this should be one of these values.
int | resolution
| The resolution of the device in pixels per inch.

## Detailed Description

This class represents setting data for print device. This would be used in class FSRenderer .

See also
  FSRenderer

## Method Documentation

## ◆ initWithDevice_width:device_height:device_margin:orientation:resolution:copies:()

- (id) initWithDevice_width: |  | (int) | device_width
device_height: |  | (int) | device_height
device_margin: |  | (FSRectF*) | device_margin
orientation: |  | (FSPrintDeviceSettingDataOrientationFlag) | orientation
resolution: |  | (int) | resolution
copies: |  | (unsigned int) | copies

Constructor, with parameters.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from and this should be one of these values.
  [in] | resolution | The resolution of the device in pixels per inch.
  [in] | copies | The number of copies to be printed. This parameter only has an effect on PostScrip files.

## ◆ initWithSettings:()

- (id) initWithSettings: |  | (FSPrintDeviceSettingData*) | settings |

Constructor, with another print device setting data object.

Parameters

  [in] | settings | Another print device settings object.

## ◆ set:device_height:device_margin:orientation:resolution:copies:()

- (void) set: |  | (int) | device_width
device_height: |  | (int) | device_height
device_margin: |  | (FSRectF*) | device_margin
orientation: |  | (FSPrintDeviceSettingDataOrientationFlag) | orientation
resolution: |  | (int) | resolution
copies: |  | (unsigned int) | copies

Set value.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from and this should be one of these values.
  [in] | resolution | The resolution of the device in pixels per inch.
  [in] | copies | The number of copies to be printed. This parameter only has an effect on PostScrip files.

Returns
  None.

## Property Documentation

## ◆ device_margin

- (FSRectF *) device_margin
| read write nonatomic weak

The page margins of the device.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device. The value should not be negative.